apply plugin: 'com.android.application'

android {
    compileSdk 34
    defaultConfig {
        applicationId "com.creativeapps.schoolbustracker"
        minSdkVersion 23
        targetSdkVersion 34
        versionCode 1
        versionName "1.0"
        testInstrumentationRunner "androidx.test.runner.AndroidJUnitRunner"
    }
    buildTypes {
        release {
            minifyEnabled false
            proguardFiles getDefaultProguardFile('proguard-android-optimize.txt'), 'proguard-rules.pro'
        }
    }
    namespace 'com.creativeapps.schoolbustracker'
}

dependencies {
    implementation fileTree(dir: 'libs', include: ['*.jar'])


    // Import the BoM for the Firebase platform
    implementation(platform("com.google.firebase:firebase-bom:32.4.1"))

    // Add the dependency for the Firebase Authentication library
    // When using the BoM, you don't specify versions in Firebase library dependencies
    implementation("com.google.firebase:firebase-auth")

    implementation 'androidx.appcompat:appcompat:1.7.0'
    implementation 'androidx.constraintlayout:constraintlayout:2.1.4'
    implementation 'androidx.legacy:legacy-support-v4:1.0.0'
    implementation 'com.google.android.material:material:1.12.0'
    implementation 'androidx.vectordrawable:vectordrawable:1.2.0'
    implementation 'com.google.android.gms:play-services-maps:19.0.0'
    implementation 'androidx.navigation:navigation-fragment:2.7.7'
    implementation 'androidx.navigation:navigation-ui:2.7.7'
    testImplementation 'junit:junit:4.13.2'
    androidTestImplementation 'androidx.test:runner:1.6.2'
    androidTestImplementation 'androidx.test.espresso:espresso-core:3.6.1'
    //ui
    implementation 'de.hdodenhof:circleimageview:2.2.0'
    implementation 'me.relex:circleindicator:1.2.1@aar'
    implementation 'com.github.mukeshsolanki:android-otpview-pinview:2.0.3'
    implementation 'io.michaelrocks:libphonenumber-android:8.13.35'
    implementation "androidx.navigation:navigation-fragment:2.8.0-rc01"
    implementation "androidx.navigation:navigation-ui:2.8.0-rc01"

    implementation 'com.github.joielechong:countrycodepicker:2.4.2'

    implementation 'androidx.preference:preference:1.2.1'

    //maps
    implementation 'com.github.MrBin99:LaravelEchoAndroid:1.0.2'
    implementation 'com.google.android.gms:play-services-places:17.1.0'
    implementation 'com.google.android.libraries.places:places:3.5.0'
    //extensions
    implementation 'androidx.lifecycle:lifecycle-extensions:2.2.0'

    //room database
    implementation 'androidx.room:room-runtime:2.6.1'
    annotationProcessor 'androidx.room:room-compiler:2.6.1'

    //retrofit
    implementation 'com.squareup.retrofit2:retrofit:2.9.0'
    implementation 'com.squareup.retrofit2:converter-gson:2.9.0'

    //gson
    implementation 'com.google.code.gson:gson:2.10.1'

    //FCM
    implementation 'com.google.firebase:firebase-messaging:24.0.1'
    implementation 'com.google.firebase:firebase-firestore:25.1.0'

//    // Firebase
//    implementation 'com.google.firebase:firebase-auth:23.0.0'

    //AdMob
    implementation 'com.google.android.gms:play-services-ads:23.3.0'

    implementation 'com.mapbox.mapboxsdk:mapbox-android-sdk:9.7.1'
}


apply plugin: 'com.google.gms.google-services'